--
-- file prepared: 2 November 2025 18:56:26.093, using fd693f
--
self_ID = "b5n"
declare_plugin(self_ID,
{
	displayName = _("b5n"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("b5n"),

	version = " ",
	state = "installed",
	info = _("The Nakajima B5N (Allied reporting name 'Kate') was the standard carrier-based torpedo bomber of the Imperial Japanese Navy (IJN) for much of World War II. It also served as a high level bomber. Although the B5N was substantially faster and more capable than its Allied counterparts, the American Douglas TBD Devastator, the British Fairey Swordfish and Fairey Albacore torpedo biplanes, it was nearing obsolescence by 1941. Nevertheless, the B5N operated throughout the whole war, due to the delayed development of its successor, the B6N Tenzan. In the early part of the Pacific War, when flown by well-trained IJN aircrews and as part of well-coordinated attacks, the B5N achieved particular successes at the battles of Pearl Harbor, Coral Sea, Midway, and Santa Cruz Islands. (source: https://en.wikipedia.org/wiki/Nakajima_B5N) "),

	update_id = "b5n",

	Skins =
	{
		{
			name = _("b5n"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("b5n"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("b5n"),
			type = "b5n",
		},
	},
	InputProfiles =
	{
		["b5n"] = current_mod_path .. '/Input/b5n',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('b5n', ViewSettings, SnapViews)
make_flyable('b5n', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/b5n.lua')
------------------------------------------------------------------------------------ -
plugin_done()

